/*----------------------------------------------------------------------------
 Copyright:      Hochsttter Bernhard
 Author:         Hochsttter Bernhard
 Remarks:        
 known Problems: 
 Version:        Juli 2010
 Description:    Dekoder fr Funk-Wetterstationen + Thermometer

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

// Taktfrequenz 
// #define F_CPU 16000000UL	// ggf. mssen die Pulse neu bewertet werden
#define F_CPU 14745600UL

// Baudrate serielle Schnittstelle
#define BAUDRATE 19200

// Bitmuster (siehe auch File Bitmuster.txt 2 und 3)
#define WXR	"0101010"		// meine Wetterstation Kennung Regen
#define WXF	"0101110000" 	// meine Wetterstation Kennung Feuchte

int nr;						// tmp
int c;						// Bitrechner Wetterstation
int bits;					// Bits fr Test und Bitrechner Wetterstation
int a_regen;				// Regenmerker aktuelle Daten vom Sensor
int sy[90];					// Pulse Reservierung Funkauswertung und Zwischenspeicher
int schleife;				// Schleifen-Zhler

unsigned char rausch;		// Flag Rauschsignal
unsigned char datbit[45];	// Datenbits
unsigned char funkdat;		// Datenzhlerschleife / Statusmerker
unsigned char dbg;			// Flag Debug
unsigned char cmd; 			// TTY-Eingabe

char conv_buff[10];			// Conversionsbuffer
char uni_buff[45];			// Stringbuffer
char wx_k[10];				// Wetterstation Temperatur-Kanal
char wx_t[6];				// Wetterstation Temperatur-Wert
char wx_f[5];				// Wetterstation Feuchte-Wert
char wx_r[5];				// Wetterstation Regen-Wert

extern void chk_funk		(void);
extern void chk_therm1		(void);
extern void chk_therm2		(void);
extern void chk_therm3		(void);

